/**
 * Theme Name: Blocksy Child
 * Description: Blocksy Child theme
 * Author: Creative Themes
 * Template: blocksy
 * Text Domain: blocksy
 */

/* --- 标题系列 --- */
.s95 h1 {
  font-size: clamp(36px, calc(18px + 77 * ((100vw - 375px) / (2560 - 375))), 95px) !important;
}

.s80 h1 {
  font-size: clamp(30px, calc(16px + 64 * ((100vw - 375px) / (2560 - 375))), 80px) !important;
}

.s65 h1 {
  font-size: clamp(30px, calc(14px + 51 * ((100vw - 375px) / (2560 - 375))), 65px) !important;
}

.s50 h1 {
  font-size: clamp(24px, calc(14px + 36 * ((100vw - 375px) / (2560 - 375))), 50px) !important;
}

.s40 h2 {
  font-size: clamp(22px, calc(12px + 28 * ((100vw - 375px) / (2560 - 375))), 40px) !important;
}

.s32 h2 {
  font-size: clamp(20px, calc(10px + 22 * ((100vw - 375px) / (2560 - 375))), 32px) !important;
}

.s30 h2 {
  font-size: clamp(16px, calc(10px + 20 * ((100vw - 375px) / (2560 - 375))), 30px) !important;
}

/* --- 正文系列 --- */
.s24 p,.s24 li,.s24 span {
  font-size: clamp(14px, calc(10px + 14 * ((100vw - 375px) / (2560 - 375))), 24px) !important;
}

.s20 p,.s20 li,.s20 span {
  font-size: clamp(13px, calc(9px + 11 * ((100vw - 375px) / (2560 - 375))), 20px) !important;
}

.s18 p,.s18 li,.s18 span {
  font-size: clamp(14px, calc(8px + 10 * ((100vw - 375px) / (2560 - 375))), 18px) !important;
}


/* 背景层（用伪元素模拟） */
.bgdh::after {
  content: "";
  position: absolute;
  top: 0; left: 0;
  width: 100%;
  height: 100%;
  background-image: inherit; 
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  z-index: 0;
  transform: scale(1);
  animation: zoomInOut 15s infinite alternate ease-in-out;
  will-change: transform;
}

.bgdh::before {
   z-index: 1; 
}

/* 保证内容层正常显示在上方 */
.bgdh {
  position: relative;
  z-index: 3;
	 overflow:hidden;
}

/* 动画关键帧 */
@keyframes zoomInOut {
  0% {
    transform: scale(1.2);
  }
  100% {
    transform: scale(1);
  }
}

.my-breadcrumb {
font-size: clamp(13px, calc(13px + 3 * ((100vw - 375px) / (2560 - 375))), 16px) !important;
}

:root :where(.is-layout-flow1111111111111111111111111111111) > * {
    margin-block-start: 0!important;
}


/* add this to your custom CSS in the site settings */

html {
  scroll-behavior: auto !important;
}
html.lenis {
  height: auto;
}
.lenis.lenis-smooth {
  scroll-behavior: auto;
}
.lenis.lenis-smooth [data-lenis-prevent] {
  overscroll-behavior: contain;
}
.lenis.lenis-stopped {
  overflow: hidden;
}


/*表格样式*/
.table-responsive {
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    border-radius: 30px;
    box-shadow: 0px 20px 20px 10px rgba(0,0,0,0.05);
    
}

.tablebox {
    background-color: #fff;
    border-collapse: collapse;
    width: 100%;
    min-width: 400px; 
}

.tablebox th, .tablebox td {
    padding: 30px 30px;
    text-align: left;
}

.tablebox th {
    border: 0px;
    font-weight: 800;
    font-size: 14px;
    color: #fff;
    line-height: 1.3em;
    background-color: #000;
    letter-spacing: 0.1rem;
}

.tablebox td:nth-child(1) {
    color: #000;
    font-weight: 800;
} 


.tablebox td {
    border: 0px;
    font-size: clamp(10px, calc(10px + 4 * ((100vw - 375px) / (2560 - 375))), 14px) !important;
    font-weight: 400;
    line-height: 1.3em;
}

.tablebox tr:hover {
    background-color: #FAFBFC;
}

@media (max-width: 1366px) {
.tablebox th{
    padding: 20px 20px;
}
    
.tablebox td {
    padding: 20px 20px; 
}
}

@media (max-width: 1024px) {
.table-responsive {
    border-radius: 20px;
}    
    
.tablebox th {
    font-size: 10px;
}    
    
.tablebox td {
    padding: 10px 15px; 
}
}

/*行业表格样式*/
.table-industry {
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    border-radius: 20px;
    box-shadow: 0px 20px 20px 10px rgba(0,0,0,0.05);
    
}

.tableindustry {
    background-color: #fff;
    border-collapse: collapse;
    width: 100%;
    min-width: 400px; 
}

.tableindustry th, .tableindustry td {
    padding: 20px 30px;
    text-align: left;
}

.tableindustry th {
    font-weight: 800;
    font-size: 14px;
    color: #fff;
    line-height: 1.3em;
    background-color: #000;
    letter-spacing: 0.1rem;
}


.tableindustry td:nth-child(1) {
    color: #000;
    font-weight: 800;
} 

.tableindustry td {
    font-size: clamp(10px, calc(10px + 4 * ((100vw - 375px) / (2560 - 375))), 14px) !important;
    font-weight: 400;
    line-height: 1.3em;
}

.tableindustry tr:hover {
    background-color: #FAFBFC;
}

@media (max-width: 1366px) {
.tableindustry th{
    padding: 20px 20px;
}
    
.tableindustry td {
    padding: 20px 20px; 
}
}

@media (max-width: 1024px) {
.table-industry {
    border-radius: 20px;
}    
    
.tableindustry th {
    font-size: 10px;
}    
    
.tableindustry td {
    padding: 10px 15px; 
}
}
